package plugin

import (
	"context"
	"fmt"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/common"
	"git.optclblast.xyz/draincloud/draincloud-core/internal/handler"
)

type PluginHandler struct {
	*handler.BaseHandler
	store *PluginStore
}

func (_ *PluginHandler) GetName() string {
	return "pluginv1"
}

func (p *PluginHandler) GetProcessFn() func(ctx context.Context, req *common.Request, w handler.Writer) error {
	return func(ctx context.Context, req *common.Request, w handler.Writer) error {
		return fmt.Errorf("unimplemented")
	}
}
